Subject: Re: Suggestion: /etc/hosts
From: Marcos Lorenzo de Santiago <[email-masked]>
To: Nicholas Wourms <[email-masked]>
Cc: Paul Johnston <[email-masked]>, [email-masked]
Date: Mon, 9 Sep 2002 14:38:14 +0200 (CEST)

> --- Paul Johnston <[email-masked]> wrote:
     > > Hi,
     > > 
     > > NT has an equivalent to /etc/hosts, so I think the cygwin install
     > > should
     > > create this symbolic link:
     > > 
     > > /etc/hosts -> ${SYSTEMROOT}/system32/drivers/etc/hosts
     > > 
     > > In fact, you could do this to a few other files in that directory,
     > > like
     > > services and protocols. hosts is the only one I commonly edit
     > > though.
     > > 
     > The problem is that location isn't the right place on Win9X/ME, so it
     > ends up setting things wrong for those users.

Well, anyway, does cygwin internal scripts know whether the OS is a
Windows NT/98/ME/2K/XP? If so that's not a problem. I guess cygwin knows
it and therefore could be achieved (if needed).

Cheers,
m4c.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/